Subject: Re: bug#61307: 30.0.50; pixel-scroll-precision-mode: window-scroll-functions?

From: Michael Heerdegen <[email-masked]>
Date: Mon, 13 Feb 2023 03:20:19 +0100

Eli Zaretskii <[email-masked]> writes:

> So I guess we should add calls to window-scroll-functions inside
> pixel-scroll.el functions which actually scroll.  Patches welcome.

pixel-scroll-mode (without "precision") already behaves correctly,
AFAICT.

pixel-scroll-precision-mode has basically one command in its minor mode
map that does not call the w-s-functions: `pixel-scroll-precision'.

So the naïve approach would be: call `window-scroll-functions' at the
end of that command.  Is this the right direction?  Else I guess I'm not
qualified here.  Haven't checked that momentum stuff (for scrolling) yet.

Thanks,

Michael.